<?php

class Tools extends ToolsCore
{
	//override numbers and chars for Persian
	
	public static function getValue($key, $default_value = false)
    {
        if (!isset($key) || empty($key) || !is_string($key)) {
            return false;
        }

        $ret = (isset($_POST[$key]) ? $_POST[$key] : (isset($_GET[$key]) ? $_GET[$key] : $default_value));

		if (is_string($ret)) {
            $ret = self::convertChars($ret);
            return stripslashes(urldecode(preg_replace('/((\%5C0+)|(\%00+))/i', '', urlencode($ret))));
        }
        

        return $ret;
    }
    
    public static function convertChars($srting,$fa2en=true)
    {
	    $en_chars = array('0','1','2','3','4','5','6','7','8','9','ک','ی');
        $fa_chars = array('۰','۱','۲','۳','۴','۵','۶','۷','۸','۹', "ك","ي");
        $ar_chars = array('٠', '١', '٢', '٣', '٤', '٥', '٦', '٧', '٨', '٩', "ك","ي");
        if ($fa2en) {
            return str_replace($fa_chars+$ar_chars, $en_chars+$en_chars, $srting);
        } else {
            return str_replace($en_chars, $fa_chars, $srting);
        }
    } 
}