<?php

class Tools extends ToolsCore
{
	//override numbers and chars for Persian
	
	public static function getAllValues()
    {
        $values = $_POST + $_GET;
        if (empty($values)) {
            return $values;
        }
        foreach ($values as $key => $value) {
          if (is_string($value)) {
              $values[$key] = self::convertChars($value);
          }
        }
        return $values;
    }
	
	public static function getValue($key, $default_value = false)
    {
        if (!isset($key) || empty($key) || !is_string($key)) {
            return false;
        }

        if (getenv('kernel.environment') === 'test' && self::$request instanceof Request) {
            $value = self::$request->request->get($key, self::$request->query->get($key, $default_value));
        } else {
            $value = (isset($_POST[$key]) ? $_POST[$key] : (isset($_GET[$key]) ? $_GET[$key] : $default_value));
        }

        if (is_string($value)) {
			$value = self::convertChars($value);
            return stripslashes(urldecode(preg_replace('/((\%5C0+)|(\%00+))/i', '', urlencode($value))));
        }

        return $value;
    }

    public static function convertChars($srting,$fa2en=true)
    {
	    $en_chars = array('0','1','2','3','4','5','6','7','8','9','ک','ی');
        $fa_chars = array('۰','۱','۲','۳','۴','۵','۶','۷','۸','۹', "ك","ي");
        $ar_chars = array('٠', '١', '٢', '٣', '٤', '٥', '٦', '٧', '٨', '٩', "ك","ي");
        if ($fa2en) {
            return str_replace($fa_chars+$ar_chars, $en_chars+$en_chars, $srting);
        } else {
            return str_replace($en_chars, $fa_chars, $srting);
        }
    } 
}